org.apache.mina.example.sumup.codec

## Class ResultMessageEncoder<T extends ResultMessage>

- java.lang.Object
- - org.apache.mina.example.sumup.codec.AbstractMessageEncoder<T>
  - - org.apache.mina.example.sumup.codec.ResultMessageEncoder<T>

- All Implemented Interfaces:
    MessageEncoder<T>

      public class ResultMessageEncoder<T extends ResultMessage>
      extends AbstractMessageEncoder<T>

  A `MessageEncoder` that encodes `ResultMessage`.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultMessageEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `protected void` | `encodeBody(IoSession session, T message, IoBuffer out)`

    - ### Methods inherited from class org.apache.mina.example.sumup.codec.AbstractMessageEncoder

      `encode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultMessageEncoder

          public ResultMessageEncoder()

  - ### Method Detail

    - #### encodeBody

          protected void encodeBody(IoSession session,
                        T message,
                        IoBuffer out)

      Specified by:
        `encodeBody` in class `AbstractMessageEncoder<T extends ResultMessage>`

    - #### dispose

          public void dispose()
                       throws Exception

      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.